Debian Bug report logs - #609913
Consider fixed munin-package for 6.0.1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Thu, 13 Jan 2011 17:42:01 UTC

Severity: wishlist

Tags: moreinfo

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Munin Debian Maintainers <munin-deb-maint@linpro.no>:
Bug#609900; Package munin. (Thu, 13 Jan 2011 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Munin Debian Maintainers <munin-deb-maint@linpro.no>. (Thu, 13 Jan 2011 17:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: submit@bugs.debian.org
Subject: please document steps needed to get cgi-graphing to work
Date: Thu, 13 Jan 2011 18:39:12 +0100
[Message part 1 (text/plain, inline)]
package: munin
version: 1.4.5-3
severity: wishlist

Hi,

cgi-graphing is not enabled out of the box and needs some manual steps to 
work, some of which are not or under documented.

This is a rough howto:

in /etc/apache2/sites-available/ add:

        Alias /munin /var/cache/munin/www
        ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
        <Directory "/usr/lib/cgi-bin">
                AllowOverride None
                Options ExecCGI -MultiViews +SymLinksIfOwnerMatch
                Order allow,deny
                Allow from all
        </Directory>
        <Location /usr/lib/cgi-bin/munin-cgi-graph>
                  SetHandler  fastcgi-script
        </Location>

then run:

a2enmod cgi
/etc/init.d/apache2 force-reload

then run:

# munin-cgi-graph should be able to write to the log file and graphics files. 
adduser --quiet munin www-data

[ -f /var/log/munin/munin-graph.log ] || touch /var/log/munin/munin-graph.log
chgrp www-data /var/log/munin /var/log/munin/munin-graph.log
chmod g+w /var/log/munin /var/log/munin/munin-graph.log

chgrp -R www-data /var/cache/munin/www
chmod -R g+w /var/cache/munin/www

# now modify /etc/logrotate.d/munin
# (keep the entries not mentioned here...)
/var/log/munin/munin-graph.log {
        daily
        missingok
        rotate 7
        compress
        notifempty
        # modfied for cgi-graph:
        create 660 munin www-data
}

# finally, append this to /etc/cron.d/munin
#
# workaround bug in munin-html with cgi-graphing every other hour
23 */2 * * *    root find /var/cache/munin/www/ -type f ! -perm 664 -exec 
chmod 664 {} \;
24 */2 * * *    root find /var/cache/munin/www/ -type d ! -perm 775 -exec 
chmod 775 {} \;
25 */2 * * *    root find /var/cache/munin/www/ -type f ! -group 
www-data -exec chgrp www-data {} \;


The last thing should really be fixed in munin-html, and the logrotate file 
should also be fixed to support both cgi and legacy graphing.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Bug 609900 cloned as bug 609912. Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Thu, 13 Jan 2011 19:03:01 GMT) Full text and rfc822 format available.

Bug 609900 cloned as bug 609913. Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Thu, 13 Jan 2011 19:03:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'Consider fixed munin-package for 6.0.1' from 'please document steps needed to get cgi-graphing to work' Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Thu, 13 Jan 2011 19:03:08 GMT) Full text and rfc822 format available.

Bug reassigned from package 'munin' to 'release.debian.org'. Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Thu, 13 Jan 2011 19:03:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions munin/1.4.5-3. Request was from Martin Zobel-Helas <zobel@debian.org> to control@bugs.debian.org. (Thu, 13 Jan 2011 19:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#609913; Package release.debian.org. (Thu, 24 Feb 2011 15:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 24 Feb 2011 15:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 609913@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Martin Zobel-Helas <zobel@debian.org>
Cc: 609913@bugs.debian.org
Subject: Re: cloning 609900, retitle -1 to Consider fixed munin-package for 6.0.1 ...
Date: Thu, 24 Feb 2011 16:39:59 +0100
user release.debian.org@packages.debian.org
usertag 609913 pu
tag 609913 moreinfo
kthxbye

On Thu, Jan 13, 2011 at 20:00:17 +0100, Martin Zobel-Helas wrote:

> clone 609900 -1
> retitle -1 Consider fixed munin-package for 6.0.1
> reassign -1 release.debian.org 
> thanks
> 
I'm not seeing a proposed change, tagging moreinfo.

Cheers,
Julien




Added tag(s) moreinfo. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 15:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#609913; Package release.debian.org. (Thu, 24 Feb 2011 16:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 24 Feb 2011 16:06:05 GMT) Full text and rfc822 format available.

Message #27 received at 609913@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 609913@bugs.debian.org, munin@packages.debian.org
Cc: Martin Zobel-Helas <zobel@debian.org>
Subject: Re: Bug#609913: cloning 609900, retitle -1 to Consider fixed munin-package for 6.0.1 ...
Date: Thu, 24 Feb 2011 17:02:39 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Donnerstag, 24. Februar 2011, Julien Cristau wrote:
> > retitle -1 Consider fixed munin-package for 6.0.1
> I'm not seeing a proposed change, tagging moreinfo.

 munin | 1.4.5-3         | squeeze         | source, all
 munin | 1.4.5-3         | wheezy          | source, all
 munin | 1.4.5-3         | sid             | source, all

And there are no changes pending in svn, basically we are waiting for the 
1.4.6 bugfix release.


cheers,
	Holger
[signature.asc (application/pgp-signature, inline)]

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Fri, 13 May 2011 23:42:06 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Fri, 13 May 2011 23:42:06 GMT) Full text and rfc822 format available.

Message #32 received at 609913-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Holger Levsen <holger@layer-acht.org>, 609913-done@bugs.debian.org
Cc: munin@packages.debian.org, Martin Zobel-Helas <zobel@debian.org>
Subject: Re: Bug#609913: cloning 609900, retitle -1 to Consider fixed munin-package for 6.0.1 ...
Date: Sat, 14 May 2011 01:40:15 +0200
On Thu, Feb 24, 2011 at 17:02:39 +0100, Holger Levsen wrote:

> Hi,
> 
> On Donnerstag, 24. Februar 2011, Julien Cristau wrote:
> > > retitle -1 Consider fixed munin-package for 6.0.1
> > I'm not seeing a proposed change, tagging moreinfo.
> 
>  munin | 1.4.5-3         | squeeze         | source, all
>  munin | 1.4.5-3         | wheezy          | source, all
>  munin | 1.4.5-3         | sid             | source, all
> 
> And there are no changes pending in svn, basically we are waiting for the 
> 1.4.6 bugfix release.
> 
Then you can open a request whenever you have something to propose for
stable, in the meantime no need to have this open on release.d.o.
Closing.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 11 Jun 2011 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:01:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.